# Cancel

{% hint style="info" %}
**Cancellation Policy**

rates have a cancellation policy describing whether the trip is cancellable or not, and how many hours of notice are given to be entitled to a 100% refund.
{% endhint %}

{% hint style="danger" %}
**Operation cannot be undone**

Keep in mind that this operation cannot be undone and that refunds may take up to 5 business days to be issued by our payments processor.
{% endhint %}

## Cancel Reservation

<mark style="color:green;">`POST`</mark> `https://api.shuttlefare.com/api/reservations/cancel`

This endpoint allows you to cancel a confirmed reservation.

#### Request Body

| Name                 | Type   | Description                                                                                    |
| -------------------- | ------ | ---------------------------------------------------------------------------------------------- |
| id                   | string | `_id` of reservation you want to cancel ( make sure you're sending `_id` Not `reservation_id`) |
| cancellation\_reason | string |                                                                                                |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```
{   "message": "Reservation cancelled successfully!"}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shuttlefare.com/endpoints/cancellation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
